[gccsdk] [GCCSDK commit] cpalmer - r4148 - trunk/autobuilder

Jan-Jaap van der Geer jjvdgeer at inbox.com
Sun Oct 4 11:53:11 PDT 2009


> Author: cpalmer
> Date: 2009-09-28 18:52:08 -0700 (Mon, 28 Sep 2009)
> New Revision: 4148
> 
> Modified:
>    trunk/autobuilder/build
> Log:
> Need automake-1.7
> 
> 
> Modified: trunk/autobuilder/build
> ===================================================================
> --- trunk/autobuilder/build	2009-09-28 23:24:20 UTC (rev 4147)
> +++ trunk/autobuilder/build	2009-09-29 01:52:08 UTC (rev 4148)
> @@ -77,7 +77,7 @@
>         popd
>      fi
>    fi
> -  for build_prog in cvs svn wget autoconf automake rman realpath pkg-config doxygen xgettext unzip autoconf2.13 flex bison gperf glib-genmarshal xsltproc intltoolize ; do
> +  for build_prog in cvs svn wget autoconf automake rman realpath pkg-config doxygen xgettext unzip autoconf2.13 flex bison gperf glib-genmarshal xsltproc intltoolize automake-1.7 ; do
>      if ! type $build_prog > /dev/null 2>&1 ; then
>        echo "Autobuilder: $build_prog not found; is it installed on your path?"
>        exit 1;


I may well be missing something, but I am a bit suspicious about
these changes, I have seen several of these added recently. This
particular one makes building vala complaining on my machine that
it needs automake 1.7, while it coped fine without it previously.

I'm sure there are some packages that need automake 1.7 but is
enforcing they are available in the general buildscript the correct
way to go?

Cheers,
Jan-Jaap




More information about the gcc mailing list